List all comments for a portout request
Returns a list of comments for a portout request.
GET
/
portouts
/
{id}
/
comments
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const comments = await client.portouts.comments.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(comments.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
comments = client.portouts.comments.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(comments.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
comments, err := client.Portouts.Comments.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", comments.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.comments.CommentListParams;
import com.telnyx.sdk.models.portouts.comments.CommentListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CommentListResponse comments = client.portouts().comments().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
comments = telnyx.portouts.comments.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(comments)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$comments = $client->portouts->comments->list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($comments);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:comments list \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/portouts/{id}/comments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "portout",
"body": "This is a comment",
"portout_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"created_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 13,
"total_results": 13,
"page_number": 3,
"page_size": 1
}
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const comments = await client.portouts.comments.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(comments.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
comments = client.portouts.comments.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(comments.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
comments, err := client.Portouts.Comments.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", comments.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.comments.CommentListParams;
import com.telnyx.sdk.models.portouts.comments.CommentListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CommentListResponse comments = client.portouts().comments().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
comments = telnyx.portouts.comments.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(comments)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$comments = $client->portouts->comments->list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($comments);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:comments list \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/portouts/{id}/comments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "portout",
"body": "This is a comment",
"portout_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"created_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 13,
"total_results": 13,
"page_number": 3,
"page_size": 1
}
}